Bug 62380 - I am unable to load gnorpm as root from menu in gnome by using pam
Summary: I am unable to load gnorpm as root from menu in gnome by using pam
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnorpm   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-30 21:01 UTC by Knut J BJuland
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-31 20:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Knut J BJuland 2002-03-30 21:01:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020328

Description of problem:
I am unable to lancu gnorpm from menu using pam to gtk-auth to give password to

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.type gnorpm from bash
2.
3.
	

Actual Results:  Preloading /usr/lib/libgdkxft.so.0
XIM DEBUG: SESSION_MANAGER=local/knut:/tmp/.ICE-unix/1553
Gnome-Message: gnome_execute_async_with_env_fds: returning -1
subshell.c: couldn't get terminal settings: Inappropriate ioctl for device

Gtk-WARNING **: invalid cast from (NULL) pointer to `BonoboObject'

Bonobo-CRITICAL **: file bonobo-running-context.c: line 413
(bonobo_running_context_auto_exit_unref): assertion `object != NULL' failed.

Gtk-WARNING **: invalid cast from (NULL) pointer to `BonoboObject'

Bonobo-CRITICAL **: file bonobo-running-context.c: line 413
(bonobo_running_context_auto_exit_unref): assertion `object != NULL' failed.

Gtk-WARNING **: invalid cast from (NULL) pointer to `BonoboObject'

Bonobo-CRITICAL **: file bonobo-running-context.c: line 413
(bonobo_running_context_auto_exit_unref): assertion `object != NULL' failed.

Gtk-WARNING **: invalid cast from (NULL) pointer to `BonoboObject'

Bonobo-CRITICAL **: file bonobo-running-context.c: line 413
(bonobo_running_context_auto_exit_unref): assertion `object != NULL' failed.

Gtk-WARNING **: invalid cast from (NULL) pointer to `BonoboObject'

Bonobo-CRITICAL **: file bonobo-running-context.c: line 413
(bonobo_running_context_auto_exit_unref): assertion `object != NULL' failed.

Gtk-WARNING **: gtk_signal_disconnect_by_data(): could not find handler
containing data (0x81E5150)

GStC-WARNING **: gstc_parent_add_child(): can't add known window 48234497 to 104

GStC-WARNING **: gstc_parent_add_child(): can't add known window 48234497 to 104

GStC-WARNING **: gstc_parent_add_child(): can't add known window 48234497 to 104

GStC-WARNING **: gstc_parent_add_child(): can't add known window 48234497 to 104

GStC-WARNING **: gstc_parent_add_child(): can't add known window 48234497 to 104

GStC-WARNING **: gstc_parent_add_child(): can't add known window 48234497 to 104

Gnome-ERROR **: Could not create per-user Gnome directory </root/.gnome> - aborting

aborting...


Expected Results:  I should see a gtk -prompt to enter password

Additional info:

This bug also affect redhat-config-network hwbrowser printtool and up2date

Comment 1 Havoc Pennington 2002-03-31 20:33:47 UTC
Nalin usermode uses GTK 2 now right?

If you are using the gdkxft hack, then all GTK 2 programs blow up hugely.
Remove the gdkxft hack and see if that fixes it.

Comment 2 Knut J BJuland 2002-04-01 16:03:08 UTC
It worked when I removed gdkxft hack, I hope Redhat'll ship gnome 2.0. It
contain real AA fonts.


Note You need to log in before you can comment on or make changes to this bug.